# Estated

`estated` is a Ruby client for the Estated API: https://estated.com/developers/docs/v4

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'estated'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install estated

## Usage

### Configuration

#### API key

```ruby
Estated.configure do |config|
  config.api_key = 'YOUR_API_KEY'
end
```

The API key can also be set through the `ESTATED_API_KEY` environment variable.

In case the API key is set in the environment variable _and_ in the configuration block, the configuration will take precedence.

#### Request cache

<!-- TODO -->
```ruby
Estated.configure do |config|
  config.mongo_client = ...
  config.mongo_collection = ...
  config.cache_ttl = ... # in seconds
end

Estated::RequestCache.setup
```

### Usage

For documentation on parameters, please check the [Estated API docs](https://estated.com/developers/docs/v4/property/overview) on how to retrieve properties.

```ruby
# Combined address
Estated::API.get_property(combined_address: '151 Battle Green Dr, Rochester, NY 14624')

# FIPS code + APN
Estated::API.get_property(fips: '04013', apn: '217-53-698')
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/navut/estated-ruby-client.


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
